package com.mortals.xhx.module.hik.staff.service;


import com.mortals.framework.common.Rest;
import com.mortals.xhx.module.door.model.DoorEntity;
import com.mortals.xhx.module.hik.staff.model.req.person.PersonReq;
import com.mortals.xhx.module.hik.staff.model.rsp.person.PersonDataInfo;

/**
 * 海康人员接口对接类
 *
 * @author:
 * @date: 2023/4/12 17:47
 */
public interface IHikStaffService {

    /**
     * 获取人员接口
     *
     * @param personReq
     * @return
     */
    Rest<PersonDataInfo> getPersonList(PersonReq personReq, DoorEntity doorEntity);



    /**
     * 获取所有人员接口
     *
     * @return
     */
    Rest<PersonDataInfo> getAllPersonList(DoorEntity doorEntity);

}
